Scriptname Req_PoisonISM extends ActiveMagicEffect

Perk property SanguineRoseSkoomaVFX auto
ImageSpaceModifier property ISM_hit Auto
ImageSpaceModifier property ISM_active Auto
ImageSpaceModifier property ISM_fade Auto

String Property Resistvalue = "PoisonResist" Auto
GlobalVariable Property Switch  Auto
Float Property ISM_strengthoffset = 0.0 Auto

Float power = 0.0

Event OnEffectStart(actor akTarget, actor akCaster)
	If akTarget == game.GetPlayer()
		If ISM_hit != None
			ISM_hit.apply(1.0)
		EndIf
		power = 1.0 + ISM_strengthoffset
		If (Resistvalue != "None")
			power = power - akTarget.GetActorValue(Resistvalue) / 100.0
		EndIf
		If power > 1.0
			power = 1.0
		EndIf
		If Switch.GetValue() == 0 && power > 0.0
            If SanguineRoseSkoomaVFX != None
                Game.GetPlayer().AddPerk(SanguineRoseSkoomaVFX)
            EndIf
			ISM_active.apply(power)
		EndIf
	EndIf
EndEvent

event onEffectFinish(actor akTarget, actor akCaster)
	If akTarget == game.GetPlayer()
		If ISM_fade != None
			ISM_fade.apply(1.0)
		EndIf
		If power > 0.0
			ISM_active.remove()
            If SanguineRoseSkoomaVFX != None
                Game.GetPlayer().RemovePerk(SanguineRoseSkoomaVFX)
            EndIf
		EndIf
	EndIf
endEvent
